<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'phpmailer/src/Exception.php';
require 'phpmailer/src/PHPMailer.php';
require 'phpmailer/src/SMTP.php';
require 'mailconfig.php';

//-----------------------------

function buildMessageBody( $data )
{
	extract( $data );

	return "
Client First Name: $fname
	
Client Last Name: $lname

Client E-Mail: $email

Contact Phone Number: $phone

Client Current Position: $position

Other Client Position: $other_position

Years in the Current Position: $years

Are they a Career Planner?: $career_plan
";
}

//-----------------------------


$mail = new PHPMailer(true);                              // Passing `true` enables exceptions
try {
    //Server settings
    $mail->SMTPDebug = MAIL_SMTP_DEBUG_LEVEL;             // Enable verbose debug output
    $mail->isSMTP();                                      // Set mailer to use SMTP
    $mail->Host = MAIL_SMTP_HOST;                         // Specify main and backup SMTP servers
    $mail->SMTPAuth = true;                               // Enable SMTP authentication
    $mail->Username = MAIL_SMTP_USERNAME;                 // SMTP username
    $mail->Password = MAIL_SMTP_PASSWORD;                 // SMTP password
    $mail->SMTPSecure = 'tls';                            // Enable TLS encryption, `ssl` also accepted
    $mail->Port = 587;                                    // TCP port to connect to

    //Recipients
    $mail->setFrom( MAIL_FROM_ADDRESS, MAIL_FROM_NAME );
    $mail->addAddress( MAIL_TO_ADDRESS, MAIL_TO_NAME );   // Add a recipient, Name is optional

    //Content
    $mail->isHTML(false);                                  // Set email format to HTML
    $mail->Subject = 'New Client Submission: Coaching '.$_POST['position'];
    $mail->Body    = buildMessageBody($_POST);

    $mail->send();
    
    #header("Location: contact_completion_form.html");  // Redirect to success page
    echo 'Message has been sent';
} catch (Exception $e) {
    echo 'Message could not be sent. Mailer Error: ', $mail->ErrorInfo;
}